Offers

Get A Single Offer And Its Current Lifecycle State

GEThttps://api.getcovent.com/api/v1/offers/off_123

Retrieve a single offer and its current lifecycle state.

How to Call

Use one of the examples below to call this endpoint from your own integration.

curl -X GET "https://api.getcovent.com/api/v1/offers/off_123" \
  -H "Authorization: Bearer <API_KEY>" \
  -H "Accept: application/json"

Request

Review headers, parameters, and body fields before calling this endpoint.

AuthorizationstringRequired

Bearer token for the proposed external API contract.

Example: Bearer <API_KEY>
AcceptstringRequired

Response format header.

Example: application/json

idstringRequired

id path parameter.

Example: off_123

Response

200application/json

idstringRequired

id response field.

Example: off_123
listing_idstringRequired

listing_id response field.

Example: lst_123
individual_idstringRequired

individual_id response field.

Example: ind_123
amountnumberRequired

amount response field.

Example: 372000
statusstringRequired

status response field.

Example: submitted
termsobjectRequired

terms response field.

Example: {"inspection_period_days":7,"close_of_escrow_days":14}
historyarrayRequired

history response field.

Example: [{"type":"created","at":"2026-04-17T19:45:00Z"}]

Response Example

{
  "id": "off_123",
  "listing_id": "lst_123",
  "individual_id": "ind_123",
  "amount": 372000,
  "status": "submitted",
  "terms": {
    "inspection_period_days": 7,
    "close_of_escrow_days": 14
  },
  "history": [
    {
      "type": "created",
      "at": "2026-04-17T19:45:00Z"
    }
  ]
}